Subject: Re. question about speed of Stylewriter with Chinese

From: Qiru Zhou <[email-masked]>
Date: Fri, 4 Oct 1991 10:33:33 EDT

The printing speed for Chinese documents or other bitmap documents is
not just the matter of printer speed. It related to your CPU speed to
process the document you want to print and the software efficiency. You
need to convert the internal code of the document into a font bitmap
one by one, in the worst case, then send this bitmap to the printer.
the transmission speed is about 1M bit/sec. for Appletalk. For a 300dpi
bitmap, you can think about how long you need to send a page. If your
printer is networked (I am not sure if Stylewriter can be networked),
the speed will be slower, depend on the traffic on the net. I use a
Laserwriter II NTX (the top speed PS laser from Apple) and Dr. Xing
Li's MacHanzi to print Hua2 Xia4 Wen2 Zhai1, I got printing speed about
7-10 minutes per page! (BTW, that software is a pure bitmap convewrsion)
If you use PostScript printing, which can build a font lib. for your
document(s), then the computer needs not to send font bitmap for every
char. Then the printing speed can significantly up. I printed the same
document as above but use Dr. J.B. Wang's chtex and a DA called "Laser
Status", the speed is about 5-10 min. for the first page and 1-2 min.
for rest of them, depending on how many diff. Chinese char. in the doc.
If you have a printer with build in Chinese fonts, I think the speed
will near Roman language doc. printing. There are these kind of printers
for IBM PC and some mini's. I did not hear any of these for Apple. But
you can do your self by using a LaserWriter II NTX, it has a SCSI port
to let user to hook up a harddrive for fonts. I don't think StyleWriter
has this feature. Therefore, use StyleWriter to print Chinese doc. could
be very slow. I will expect it about 10-20 min. per page for CCCMAN doc.

Qiru Zhou
Dept. of ECE
Drexel University
Philadelphia Pennsylvania
USA